#ifndef FAT12_INTERNALS_H__
#define FAT12_INTERNALS_H__

struct fat_directory_entry {
    uint8_t file_name[8];
    uint8_t extension[3];
    uint8_t file_attributes;
    uint8_t reserved1;
    uint8_t ctime_ms;
    uint8_t ctime_hms[2];
    uint8_t ctime_date[2];
    uint8_t atime_date[2];
    uint8_t ea_index[2];
    uint8_t mtime_hms[2];
    uint8_t mtime_date[2];
    uint8_t first_cluster[2];
    uint8_t file_size[4];
};

#endif /* FAT12_INTERNALS_H__ */