#ifndef PANG_O_LIN_IO_H__
#define PANG_O_LIN_IO_H__

#ifdef unix
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <unistd.h>
#endif

ssize_t pang_write(int fd, const void *buf, size_t count);
ssize_t pang_read(int fd, void *buf, size_t count);
off_t pang_seek(int fd, off_t offset, int whence);
int pang_open(const char *pathname, int flags);
int pang_close(int fd);

#endif /* PANG_O_LIN_IO_H__ */