#include <sys/types.h>
#include <unistd.h>

#include "io.h"

#ifdef unix
ssize_t pang_write(int fd, const void *buf, size_t count) {
    return write(fd, buf, count);
}

ssize_t pang_read(int fd, void *buf, size_t count) {
    return read(fd, buf, count);
}

off_t pang_seek(int fd, off_t offset, int whence) {
    return lseek(fd, offset, whence);
}

int pang_open(const char *pathname, int flags) {
    return open(pathname, flags);
}

int pang_close(int fd) {
    return close(fd);
}

#endif